// pages/order/order.js
const app = getApp()
const link = app.globalData.url
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:1,
    pageSize:10,
    openId:"",
    // count:0,
    // pageIndex:""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //获取产品
    var  that = this; 
    that.page = 1
    that.pageSize = 18
    that.openId = wx.getStorageSync('openId')

    wx.request( { 
      url: link + "/v1/user/order/list", 
      header: { 
       "Content-Type": "application/json"
      }, 
      method: "POST",
      data:  { openId: that.openId,pageIndex:that.page,pageSize: that.pageSize}, 
      complete: function( res ) { 
       console.log(res)
       if( res == null || res.data == null ) { 
        console.error( '网络请求失败' ); 
        return; 
       } 
       console.log(res.data.data.rows)
       //that.count = res.data.data.count
       that.setData({
        goodsList: res.data.data.rows,
      })
      


      } 
     }) 

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
   onReachBottom: function () {
  //获取数据
   var  that = this; 
   that.page +=1
  wx.request( { 
   url: link + "/v1/user/order/list", 
   header: { 
    "Content-Type": "application/json"
   }, 
   method: "POST",
   data:  { openId: that.openId,pageIndex:that.page,pageSize: that.pageSize}, 
   complete: function( res ) { 
    wx.hideLoading();
    console.log(res)
    if (res.data.data.rows.length <= 0){
            //提示页码到了
          that.setData({
            lType:"end"
          })
          return
     
    }
    for (var i = 0; i < res.data.data.rows.length; i++) {
      that.data.goodsList.push( res.data.data.rows[i]);
    }
    
   that.setData({
    goodsList: that.data.goodsList,
  })

    console.log(res.data.data.goods_search_response)
    if( res == null || res.data == null ) { 
     console.error( '网络请求失败' ); 
     return; 
    } 
   } 
  }) 
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})